Home > Community > Forums > Custom IC Design > Cadence 5.1.41 Spectre Error

Email

* Required Fields

Recipients email * (separate multiple addresses with commas)

Your name *

Your email *

Message *

Contact Us

* Required Fields
First Name *

Last Name *

Email *

Company / Institution *

Comments: *

 Cadence 5.1.41 Spectre Error 

Last post Tue, Jul 23 2013 12:51 AM by Pasindu. 2 replies.
Started by Pasindu 16 Jul 2013 06:20 AM. Topic has 2 replies and 620 views
Page 1 of 1 (3 items)
Sort Posts:
  • Tue, Jul 16 2013 6:20 AM

    • Pasindu
    • Not Ranked
    • Joined on Mon, Jul 15 2013
    • Kensington, New South Wales
    • Posts 2
    • Points 25
    Cadence 5.1.41 Spectre Error Reply

     I am using Cadence 5.1.41 with NCSU CDK 1.5.1, and I am new to Cadence. I have created a simple schematic in Virtuoso. When I try to simulate the schematic using Analog Design Environment (ADE) and Spectre simulator, I got the following error.

    *Error* Errors encountered during simulation. The simulator run log has not been generated. Possible cause could be an invalid command line option for the version of the simulator you are running. Choose Setup-Environment and verify that the command line options specified in the userCmdLineOption field are supported for the simualtor. Alternatively, run the simulator standalone using the runSimulation file in the netlist directory to know the exact cause of the error.

    Then I found the runSimulation file and ran it, which gave me the following error.

    *ERROR* /usr/local/cadence/MMSIM101/tools.lnx86/spectre/bin/32bit/spectre: error while loading shared libraries: libelf. so. 1: cannot open shared object file: No such file or directory

    In my case Cadence is installed on a remote host which runs Fedora Linux. I am running Cadence through a ssh connection.

     In similar post I saw a suggestion to use  # rpm -qa | grep elfutils command. Would this work in my case? What does this command do? To make sure I won't make any damage, I thought of getting this confirmed before trying it.

    Can anyone please help me sort this out? As I said I am new to cadence, and I am lost at the moment. Thanks in advance.

    • Post Points: 20
  • Wed, Jul 17 2013 3:15 AM

    Re: Cadence 5.1.41 Spectre Error Reply

    You need to have the elfutils-libelf package installed. All the command above will do is check to see if you have it installed or not.

    On my machine, I have /usr/lib/libelf.so.1 and if I do:

    rpm -q -f /usr/lib/libelf.so.1

    I get:

     elfutils-libelf-0.152-1.el6.i686

    (it will have different suffixes on different OS versions).

    Running:

      <MMSIMinstDir>/tools/bin/checkSysConf MMSIM10.1

    would tell you if you have the right packages (including this one). However, since Fedora releases are not supported, this may not work because the entire OS is not supported ;-( (although will most likely work provided that  you have the correct packages installed).

    Regards,

    Andrew.

    • Post Points: 20
  • Tue, Jul 23 2013 12:51 AM

    • Pasindu
    • Not Ranked
    • Joined on Mon, Jul 15 2013
    • Kensington, New South Wales
    • Posts 2
    • Points 25
    Re: Cadence 5.1.41 Spectre Error Reply

     Thanks Andrew.

     I found out that the main cause of error was that I was running the 32 bit binay file instead of the 64 bit one. Changed this in ADE, and 64 bit Apectre works without errors.

     I guess your suggested fix solves the problem for 32 bit version as well. I did not try it since the 64-bit version is working. 

     

    • Post Points: 5
Page 1 of 1 (3 items)
Sort Posts:
Started by Pasindu at 16 Jul 2013 06:20 AM. Topic has 2 replies.